Contents
Index 🔎︎

# PV Function [VBA]

Returns the Present Value of an investment resulting from a series of regular payments.

This function or constant is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    Pmt( Rate as Double, NPer as Double, Pmt as Double, [FV as Variant], [Due as Variant] )

### Return value:

Double

### Parameters:

Rate is the periodic interest rate.

NPer is the total number of periods, during which annuity is paid.

Pmt is the regular payment made per period.

FV (optional) is the future value of the loan / investment.

Due (optional) defines whether the payment is due at the beginning or the end of a period.

0 - the payment is due at the end of the period;

1 - the payment is due at the beginning of the period.

## Error codes:

5 Sai gọi thủ tục

### Example:

    REM ***** BASIC *****
    Option VBASupport 1
    Sub ExamplePV
    ' Calculate the present value of an annuity that pays $1,000 per month over 6 years.
    ' Interest is 10% per year and each payment is made at the end of the month.
    Dim pv1 As Double
    pv1 = PV( 0.1/12, 72, -1000 )
    print pv1 ' pv1 is calculated to be 53978,6654781073.
    End Sub

Chủ đề Liên quan

PV function in CALC

VBA financial functions